0

I tried to run vagrant up command in linux terminal then facing these following errors :

The provider 'virtualbox' that was requested to back the machine
'default' is reporting that it isn't usable on this system. The
reason is shown below:


VirtualBox is complaining that the kernel module is not loaded. Please
run `VBoxManage --version` or open the VirtualBox GUI to see the error
message which should contain instructions on how to fix this error.

I also run VBoxManage --version but it still getting these following errors:

WARNING: The vboxdrv kernel module is not loaded. Either there is no module
         available for the current kernel (5.0.0-32-generic) or it failed to
         load. Please recompile the kernel module and install it by

           sudo /sbin/vboxconfig

         You will not be able to start VMs until this problem is fixed.
    6.0.14r133895

I found some question on this site but still not getting any solutions.

4
  • DId you try to compile new kernel module? Commented Nov 12, 2019 at 12:52
  • yes I tried but its failed
    – Shawn
    Commented Nov 13, 2019 at 3:20
  • Please add error in to the question Commented Nov 13, 2019 at 4:53
  • 1
    my problem is solved I answer my own question Btw thanks@RomeoNinov
    – Shawn
    Commented Nov 13, 2019 at 8:45

1 Answer 1

2

The main problem was in the virtual box.

I run sudo apt-get purge virtualbox-\* this command this to remove all the vb files then upgraded to latest version by downloaded .deb link files.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .